---
layout: post
title: iStoreOS路由系统安装
date: 2023-11-30 20:00:51
tags: [软路由, iStoreOS]
categories: [软路由,iStoreOS]
description: iStoreOS路由系统的安装教程
---

{%note `iStoreOS`路由系统是一款基于`OpenWrt`的路由系统，支持`x86`、`ARM`等硬件平台。相对于`OpenWrt`来说，`iStoreOS`更容易上手，而且功能也丰富，更加适合不怎么爱折腾的人使用。可以理解为硬路由的扩展，可以拓展路由器的功能。%}
> iStoreOS 目标是提供一个人人会用的路由兼轻 NAS 系统，不管是作为路由还是 NAS，你都有相似的操作体验。系统本身开源免费,代码在GitHub上开源，可以自行编译。    --来自官方的介绍
{%quot el:h2 iStoreOS安装%}

### 官网地址
官网地址如下
{%link https://www.istores.cn/%}
源代码地址
{%link https://github.com/istoreos/istoreos%}

{%note 如果对此感兴趣，可自行去官网研究，也可以跟着我的步骤，安装`iStoreOS`路由系统%}

## 选择硬件
首先，安装路由系统之前，需要选择硬件设备。

{%note 硬件选择有以下几种：%}
{%image https://oss.xiaokeaii.top/2023/支持的硬件.png 支持的硬件 bg:white%}
我这里使用的是友善的`R2S`设备，咸鱼淘的，全套下来240块钱，成色较新，包括设备本身、`TF卡`、网线、电源、读卡器。

硬件选择好了之后进入下一步。

## 寻找固件

通过官网，找到对应的`R2S`固件
{%image https://oss.xiaokeaii.top/2023/下载固件.png 下载固件%}
点击后缀为`img.gz`的固件，下载到本地。（下载下来的文件不需要解压）
{%image https://oss.xiaokeaii.top/2023/固件链接.png	%}
## 刷入固件
将`TF`卡插在读卡器上，读卡器插在电脑上
{%note color:blue 请到官网下载，以防第三方带有广告%}

### `Windows`系统
使用`Win32 Disk Imager`软件，烧录固件到`TF`卡中
{%link https://win32diskimager.org/ Win32 Disk Imager软件官网%}
### `MAC`系统
使用`balenaEtcher`软件，烧录固件到`TF`卡中
{%link https://www.balena.io/etcher/  balenaEtcher官网%}
{%note 我使用的是`MAC`系统，这里仅演示本系统%}
打开`balenaEtcher`软件，选择`istoreos-22.03.5-2023082509-r2s-squashfs.img.gz`文件，选择目标磁盘，点击烧录，等待烧录完成。（文件名日期不一定相同，使用自己下载的文件即可）
{%image https://oss.xiaokeaii.top/2023/系统烧录.png 烧录系统%}

## 启动软路由
将`TF`卡插入软路由，接通电源，将网线一头接在电脑的`LAN`口，另一头接在软路由的`LAN`口。等待红色指示灯闪烁。（首次启动大概1-5分钟）
### 使用方法
- 默认IP http://192.168.100.1
- 默认密码：password
- 如果只有一个网口，默认的网口是 LAN；如果大于一个网口，默认 eth0 是 WAN 口，其它都是 LAN。
#### 查看路由器IP
连接家里`Wi-Fi`，查看路由器的IP地址。
- 小米路由器默认IP地址：192.158.31.1
- 华为路由器默认IP地址：192.168.3.1
如果不知道自家路由器`IP`地址，可通过百度搜索各大品牌的默认`IP`地址。
#### 更改默认IP
1. 使用电脑打开浏览器，输入`192.168.100.1`，出现`iStoreOS`的登录界面，说明启动成功。
{%image https://oss.xiaokeaii.top/2023/istoreos登录.png iStoreOS登录%}
2. 使用默认的密码登录，进入系统
{%image https://oss.xiaokeaii.top/2023/istoreos首页.png istoreos首页%}
3. 点击左边菜单的网络向导，进入网络设置页面
{% note 这里有三种配置，根据自身需要进行选择，这里仅演示配置为`旁路由模式`的方式，其他两种请自行寻找 %}
4. 点击`配置为旁路由`按钮，点击手动配置
{%image https://oss.xiaokeaii.top/2023/旁路由配置.png 旁路由配置%}
{% note `IP`地址填与路由器最后一个点后面不同的数字，可以填一个100以内的。子网掩码就填`255.255.255.0`，网关填写路由器的`IP`地址，DNS填路由器的`IP`地址，点击保存即可。关闭`DHCP`服务，关闭`IPV6`客户端%}
5. 点击保存即可
6. 拔出接入电脑的网线，将网线插到路由器的`LAN`口上，连接路由器`Wi-Fi`，访问上面给软路由配置的`IP`地址，如果看到登录界面即为安装成功，如果未显示登录界面，请检查以上步骤