---
layout: post
title: 主题语法
date: 2023-10-20 10:44:07
tags:
description: stallar的语法使用了markdown的语法，在此基础上进行了扩展，支持一些常用的功能，方便使用。
---
{%hashtag 官方地址 https://xaoxuu.com/wiki/stellar/tag-plugins/express%}

## emoji 表情
语法 示例 {%emoji qq 微笑%}  
支持的表情来源在主题配置文件下：
![](https://oss.xiaokeaii.top/2023/emoji来源.png)

```
{% emoji [source] name [height:1.75em] %}
```

## mark 行内文本标记
多彩标记 示例：{% mark 默认 %}

```
模板： {% mark 类型 %}
```

## tag 标签
类似mark标签，支持链接，示例 {%hashtag GitHub https://github.com %}

模板： 

```
{% tag 内容 [链接地址]%}
```

## 主题的image 图片标签
可以放置下载按钮，语法格式

```markdown
{% image src [description] [download:bool/string] [width:px] [padding:px] [bg:hex] %}
```
参数说明
```yaml
src: 图片地址
description: 图片描述
download: href # 下载地址，设置此值后鼠标放在图片上会显示下载地址，如果下载地址为图片地址，可以设置为 true
width: 200px # 图片宽度
padding: 16px # 图片四周填充宽度
bg: '#ffffff' # 图片区域背景颜色，16进制
```

## quot 引用
居中的引用，示例

{%quot 主题配置%}

语法
```md
{%quot title%}
```

## link 链接卡片
外链卡片标签
```
{% link href [title] [icon:src] [desc:true/false] %}
```
{%link https://github.com GitHub%}

参数

```yaml
href: 链接
title: 可选，手动设置标题（为空时会自动抓取页面标题）
icon: 可选，手动设置图标（为空时会自动抓取页面图标）
desc: 可选，是否显示摘要描述，为true时将会显示页面描述

```

## radio 单选

```
{% radio 没有勾选的单选框 %}
{% radio checked:true 已勾选的单选框 %}
```

参数
```yaml
checked: true/false
color: red/orange/yellow/green/cyan/blue/purple
```

## checkbox 复选
### 语法
```
{% checkbox 普通的没有勾选的复选框 %}
{% checkbox checked:true 普通的已勾选的复选框 %}
{% checkbox symbol:plus color:green checked:true 显示为加号的绿色的已勾选的复选框 %}
{% checkbox symbol:minus color:yellow checked:true 显示为减号的黄色的已勾选的复选框 %}
{% checkbox symbol:times color:red checked:true 显示为乘号的红色的已勾选的复选框 %}
```
### 参数

```yaml
checked: true/false
color: red/orange/yellow/green/cyan/blue/purple
symbol: plus/minus/times
```

## 文本修饰标签集
### 示例
- 这是 {% psw 密码 %} 标签
- 这是 {% u 下划线 %} 标签
- 这是 {% emp 着重号 %} 标签
- 这是 {% wavy 波浪线 %} 标签
- 这是 {% del 删除线 %} 标签
- 这是 {% sup 上角标 color:red %} 标签
- 这是 {% sub 下角标 %} 标签
- 这是 {% kbd 键盘样式 %} 标签，试一试：{% kbd ⌘ %} + {% kbd D %}
### 语法
```
- 这是 {% psw 密码 %} 标签
- 这是 {% u 下划线 %} 标签
- 这是 {% emp 着重号 %} 标签
- 这是 {% wavy 波浪线 %} 标签
- 这是 {% del 删除线 %} 标签
- 这是 {% sup 上角标 color:red %} 标签
- 这是 {% sub 下角标 %} 标签
- 这是 {% kbd 键盘样式 %} 标签，试一试：{% kbd ⌘ %} + {% kbd D %}
```